%define upstream_name	 Image-Size
%define upstream_version 3.300

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Read the dimensions of an image in several popular formats
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildArch:  noarch

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README ex
%{_bindir}/imgsize
%{_mandir}/*/*
%{perl_vendorlib}/Image

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:3.300.0-3.mga6
+ Revision: 1028474
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1:3.300.0-2.mga6
+ Revision: 967282
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1:3.300.0-1.mga6
+ Revision: 848632
- update to 3.300

* Wed Oct 15 2014 umeabot <umeabot> 1:3.232.0-5.mga5
+ Revision: 740626
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.232.0-4.mga5
+ Revision: 685124
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:3.232.0-3.mga4
+ Revision: 512380
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:3.232.0-2.mga3
+ Revision: 368738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1:3.232.0-1.mga3
+ Revision: 255815
- update to 3.232

* Mon Jan 24 2011 jquelin <jquelin> 1:3.230.0-2.mga1
+ Revision: 36876
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1:3.230.0-1.mga1
+ Revision: 34889
- mageia rebuild
- imported package perl-Image-Size


* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1:3.230.0-1mdv2011.0
+ Revision: 575396
- update to 3.230

* Mon Apr 26 2010 Jérôme Quelin <jquelin@mandriva.org> 1:3.221.0-1mdv2010.1
+ Revision: 539085
- update to 3.221

* Tue Nov 10 2009 Jérôme Quelin <jquelin@mandriva.org> 1:3.220.0-1mdv2010.1
+ Revision: 463918
- update to 3.220

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1:3.210.0-1mdv2010.1
+ Revision: 461322
- update to 3.210

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:3.2-2mdv2010.0
+ Revision: 426514
- rebuild

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.2-1mdv2009.1
+ Revision: 344394
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1:3.1.1-2mdv2009.0
+ Revision: 223794
- rebuild

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.1.1-1mdv2008.1
+ Revision: 173293
- update to new version 3.1.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.01-1mdv2008.0
+ Revision: 48726
- switch to Module::Build

  + Olivier Thauvin <nanardon@mandriva.org>
    - buildrequires
    - 3.01


* Mon Jul 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:3.0-2
- add BuildRequires: perl-Compress-Zlib

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.0-1mdv2007.0
- new version
- rpmbuildupdate aware
- spec cleanup
- better summary

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 2.992-3mdk
- rebuild

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.992-2mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.992-1mdk
- 2.992.

